Package org.gdal.ogr

# Interface ogrConstants

All Known Implementing Classes:
  `ogr`

public interface ogrConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ALTER__FLAG`
  `static final int`
  `ALTER_ALL_FLAG`
  `static final int`
  `ALTER_ALTERNATIVE_NAME_FLAG`
  `static final int`
  `ALTER_COMMENT_FLAG`
  `static final int`
  `ALTER_DEFAULT_FLAG`
  `static final int`
  `ALTER_DOMAIN_FLAG`
  `static final int`
  `ALTER_GEOM_FIELD_DEFN_ALL_FLAG`
  `static final int`
  `ALTER_GEOM_FIELD_DEFN_NAME_FLAG`
  `static final int`
  `ALTER_GEOM_FIELD_DEFN_NULLABLE_FLAG`
  `static final int`
  `ALTER_GEOM_FIELD_DEFN_SRS_COORD_EPOCH_FLAG`
  `static final int`
  `ALTER_GEOM_FIELD_DEFN_SRS_FLAG`
  `static final int`
  `ALTER_GEOM_FIELD_DEFN_TYPE_FLAG`
  `static final int`
  `ALTER_NAME_FLAG`
  `static final int`
  `ALTER_NULLABLE_FLAG`
  `static final int`
  `ALTER_TYPE_FLAG`
  `static final int`
  `ALTER_UNIQUE_FLAG`
  `static final int`
  `ALTER_WIDTH_PRECISION_FLAG`
  `static final int`
  `F_VAL_ALL`
  `static final int`
  `F_VAL_ALLOW_NULL_WHEN_DEFAULT`
  `static final int`
  `F_VAL_GEOM_TYPE`
  `static final int`
  `F_VAL_NULL`
  `static final int`
  `F_VAL_WIDTH`
  `static final int`
  `GEOS_PREC_KEEP_COLLAPSED`
  `static final int`
  `GEOS_PREC_NO_TOPO`
  `static final int`
  `GGT_COUNT_NOT_NEEDED`
  `static final int`
  `GGT_GEOMCOLLECTIONZ_TINZ`
  `static final int`
  `GGT_STOP_IF_MIXED`
  `static final int`
  `NullFID`
  `static final String`
  `ODrCCreateDataSource`
  `static final String`
  `ODrCDeleteDataSource`
  `static final String`
  `ODsCAddFieldDomain`
  `static final String`
  `ODsCCreateGeomFieldAfterCreateLayer`
  `static final String`
  `ODsCCreateLayer`
  `static final String`
  `ODsCCurveGeometries`
  `static final String`
  `ODsCDeleteFieldDomain`
  `static final String`
  `ODsCDeleteLayer`
  `static final String`
  `ODsCEmulatedTransactions`
  `static final String`
  `ODsCMeasuredGeometries`
  `static final String`
  `ODsCRandomLayerRead`
  `static final String`
  `ODsCRandomLayerWrite`
  `static final String`
  `ODsCTransactions`
  `static final String`
  `ODsCUpdateFieldDomain`
  `static final String`
  `ODsCZGeometries`
  `static final int`
  `OFDMP_DEFAULT_VALUE`
  `static final int`
  `OFDMP_GEOMETRY_WEIGHTED`
  `static final int`
  `OFDMP_SUM`
  `static final int`
  `OFDSP_DEFAULT_VALUE`
  `static final int`
  `OFDSP_DUPLICATE`
  `static final int`
  `OFDSP_GEOMETRY_RATIO`
  `static final int`
  `OFDT_CODED`
  `static final int`
  `OFDT_GLOB`
  `static final int`
  `OFDT_RANGE`
  `static final int`
  `OFSTBoolean`
  `static final int`
  `OFSTFloat32`
  `static final int`
  `OFSTInt16`
  `static final int`
  `OFSTJSON`
  `static final int`
  `OFSTNone`
  `static final int`
  `OFSTUUID`
  `static final int`
  `OFTBinary`
  `static final int`
  `OFTDate`
  `static final int`
  `OFTDateTime`
  `static final int`
  `OFTInteger`
  `static final int`
  `OFTInteger64`
  `static final int`
  `OFTInteger64List`
  `static final int`
  `OFTIntegerList`
  `static final int`
  `OFTReal`
  `static final int`
  `OFTRealList`
  `static final int`
  `OFTString`
  `static final int`
  `OFTStringList`
  `static final int`
  `OFTTime`
  `static final int`
  `OFTWideString`
  `static final int`
  `OFTWideStringList`
  `static final int`
  `OGRERR_CORRUPT_DATA`
  `static final int`
  `OGRERR_FAILURE`
  `static final int`
  `OGRERR_INVALID_HANDLE`
  `static final int`
  `OGRERR_NON_EXISTING_FEATURE`
  `static final int`
  `OGRERR_NONE`
  `static final int`
  `OGRERR_NOT_ENOUGH_DATA`
  `static final int`
  `OGRERR_NOT_ENOUGH_MEMORY`
  `static final int`
  `OGRERR_UNSUPPORTED_GEOMETRY_TYPE`
  `static final int`
  `OGRERR_UNSUPPORTED_OPERATION`
  `static final int`
  `OGRERR_UNSUPPORTED_SRS`
  `static final int`
  `OJLeft`
  `static final int`
  `OJRight`
  `static final int`
  `OJUndefined`
  `static final String`
  `OLCAlterFieldDefn`
  `static final String`
  `OLCAlterGeomFieldDefn`
  `static final String`
  `OLCCreateField`
  `static final String`
  `OLCCreateGeomField`
  `static final String`
  `OLCCurveGeometries`
  `static final String`
  `OLCDeleteFeature`
  `static final String`
  `OLCDeleteField`
  `static final String`
  `OLCFastFeatureCount`
  `static final String`
  `OLCFastGetArrowStream`
  `static final String`
  `OLCFastGetExtent`
  `static final String`
  `OLCFastGetExtent3D`
  `static final String`
  `OLCFastSetNextByIndex`
  `static final String`
  `OLCFastSpatialFilter`
  `static final String`
  `OLCFastWriteArrowBatch`
  `static final String`
  `OLCIgnoreFields`
  `static final String`
  `OLCMeasuredGeometries`
  `static final String`
  `OLCRandomRead`
  `static final String`
  `OLCRandomWrite`
  `static final String`
  `OLCRename`
  `static final String`
  `OLCReorderFields`
  `static final String`
  `OLCSequentialWrite`
  `static final String`
  `OLCStringsAsUTF8`
  `static final String`
  `OLCTransactions`
  `static final String`
  `OLCUpdateFeature`
  `static final String`
  `OLCUpsertFeature`
  `static final String`
  `OLCZGeometries`
  `static final String`
  `OLMD_FID64`
  `static final int`
  `TZFLAG_LOCALTIME`
  `static final int`
  `TZFLAG_MIXED_TZ`
  `static final int`
  `TZFLAG_UNKNOWN`
  `static final int`
  `TZFLAG_UTC`
  `static final int`
  `wkb25Bit`
  Deprecated.
  This is a typo.
  `static final int`
  `wkb25DBit`
  Bit mask to indicate that a geometry type is of 2.5D kind.
  `static final int`
  `wkbCircularString`
  `static final int`
  `wkbCircularStringM`
  `static final int`
  `wkbCircularStringZ`
  `static final int`
  `wkbCircularStringZM`
  `static final int`
  `wkbCompoundCurve`
  `static final int`
  `wkbCompoundCurveM`
  `static final int`
  `wkbCompoundCurveZ`
  `static final int`
  `wkbCompoundCurveZM`
  `static final int`
  `wkbCurve`
  `static final int`
  `wkbCurveM`
  `static final int`
  `wkbCurvePolygon`
  `static final int`
  `wkbCurvePolygonM`
  `static final int`
  `wkbCurvePolygonZ`
  `static final int`
  `wkbCurvePolygonZM`
  `static final int`
  `wkbCurveZ`
  `static final int`
  `wkbCurveZM`
  `static final int`
  `wkbGeometryCollection`
  Geometric object that is a collection of 1 or more geometric objects, standard WKB
  `static final int`
  `wkbGeometryCollection25D`
  2.5D extension as per 99-402
  `static final int`
  `wkbGeometryCollectionM`
  `static final int`
  `wkbGeometryCollectionZM`
  `static final int`
  `wkbLinearRing`
  non-standard, just for Geometry() constructor
  `static final int`
  `wkbLineString`
  1-dimensional geometric object with linear interpolation between Points, standard WKB
  `static final int`
  `wkbLineString25D`
  2.5D extension as per 99-402
  `static final int`
  `wkbLineStringM`
  `static final int`
  `wkbLineStringZM`
  `static final int`
  `wkbMultiCurve`
  `static final int`
  `wkbMultiCurveM`
  `static final int`
  `wkbMultiCurveZ`
  `static final int`
  `wkbMultiCurveZM`
  `static final int`
  `wkbMultiLineString`
  GeometryCollection of LineStrings, standard WKB
  `static final int`
  `wkbMultiLineString25D`
  2.5D extension as per 99-402
  `static final int`
  `wkbMultiLineStringM`
  `static final int`
  `wkbMultiLineStringZM`
  `static final int`
  `wkbMultiPoint`
  GeometryCollection of Points, standard WKB
  `static final int`
  `wkbMultiPoint25D`
  2.5D extension as per 99-402
  `static final int`
  `wkbMultiPointM`
  `static final int`
  `wkbMultiPointZM`
  `static final int`
  `wkbMultiPolygon`
  GeometryCollection of Polygons, standard WKB
  `static final int`
  `wkbMultiPolygon25D`
  2.5D extension as per 99-402
  `static final int`
  `wkbMultiPolygonM`
  `static final int`
  `wkbMultiPolygonZM`
  `static final int`
  `wkbMultiSurface`
  `static final int`
  `wkbMultiSurfaceM`
  `static final int`
  `wkbMultiSurfaceZ`
  `static final int`
  `wkbMultiSurfaceZM`
  `static final int`
  `wkbNDR`
  LSB/Intel/Vax: Least Significant Byte First
  `static final int`
  `wkbNone`
  non-standard, for pure attribute records
  `static final int`
  `wkbPoint`
  0-dimensional geometric object, standard WKB
  `static final int`
  `wkbPoint25D`
  2.5D extension as per 99-402
  `static final int`
  `wkbPointM`
  `static final int`
  `wkbPointZM`
  `static final int`
  `wkbPolygon`
  Planar 2-dimensional geometric object defined by 1 exterior boundary and 0 or more interior boundaries, standard WKB
  `static final int`
  `wkbPolygon25D`
  2.5D extension as per 99-402
  `static final int`
  `wkbPolygonM`
  `static final int`
  `wkbPolygonZM`
  `static final int`
  `wkbPolyhedralSurface`
  `static final int`
  `wkbPolyhedralSurfaceM`
  `static final int`
  `wkbPolyhedralSurfaceZ`
  `static final int`
  `wkbPolyhedralSurfaceZM`
  `static final int`
  `wkbSurface`
  `static final int`
  `wkbSurfaceM`
  `static final int`
  `wkbSurfaceZ`
  `static final int`
  `wkbSurfaceZM`
  `static final int`
  `wkbTIN`
  `static final int`
  `wkbTINM`
  `static final int`
  `wkbTINZ`
  `static final int`
  `wkbTINZM`
  `static final int`
  `wkbTriangle`
  `static final int`
  `wkbTriangleM`
  `static final int`
  `wkbTriangleZ`
  `static final int`
  `wkbTriangleZM`
  `static final int`
  `wkbUnknown`
  Unknown type, non-standard
  `static final int`
  `wkbXDR`
  MSB/Sun/Motorola: Most Significant Byte First

- ## Field Details

  - ### wkb25DBit

    static final int wkb25DBit
    Bit mask to indicate that a geometry type is of 2.5D kind.
    See Also:
      - Constant Field Values

  - ### wkb25Bit

    static final int wkb25Bit
    Deprecated.
    This is a typo. Use wkb25DBit instead.
    See Also:
      - Constant Field Values

  - ### wkbUnknown

    static final int wkbUnknown
    Unknown type, non-standard
    See Also:
      - Constant Field Values

  - ### wkbPoint

    static final int wkbPoint
    0-dimensional geometric object, standard WKB
    See Also:
      - Constant Field Values

  - ### wkbLineString

    static final int wkbLineString
    1-dimensional geometric object with linear interpolation between Points, standard WKB
    See Also:
      - Constant Field Values

  - ### wkbPolygon

    static final int wkbPolygon
    Planar 2-dimensional geometric object defined by 1 exterior boundary and 0 or more interior boundaries, standard WKB
    See Also:
      - Constant Field Values

  - ### wkbMultiPoint

    static final int wkbMultiPoint
    GeometryCollection of Points, standard WKB
    See Also:
      - Constant Field Values

  - ### wkbMultiLineString

    static final int wkbMultiLineString
    GeometryCollection of LineStrings, standard WKB
    See Also:
      - Constant Field Values

  - ### wkbMultiPolygon

    static final int wkbMultiPolygon
    GeometryCollection of Polygons, standard WKB
    See Also:
      - Constant Field Values

  - ### wkbGeometryCollection

    static final int wkbGeometryCollection
    Geometric object that is a collection of 1 or more geometric objects, standard WKB
    See Also:
      - Constant Field Values

  - ### wkbCircularString

    static final int wkbCircularString
    See Also:
      - Constant Field Values

  - ### wkbCompoundCurve

    static final int wkbCompoundCurve
    See Also:
      - Constant Field Values

  - ### wkbCurvePolygon

    static final int wkbCurvePolygon
    See Also:
      - Constant Field Values

  - ### wkbMultiCurve

    static final int wkbMultiCurve
    See Also:
      - Constant Field Values

  - ### wkbMultiSurface

    static final int wkbMultiSurface
    See Also:
      - Constant Field Values

  - ### wkbCurve

    static final int wkbCurve
    See Also:
      - Constant Field Values

  - ### wkbSurface

    static final int wkbSurface
    See Also:
      - Constant Field Values

  - ### wkbPolyhedralSurface

    static final int wkbPolyhedralSurface
    See Also:
      - Constant Field Values

  - ### wkbTIN

    static final int wkbTIN
    See Also:
      - Constant Field Values

  - ### wkbTriangle

    static final int wkbTriangle
    See Also:
      - Constant Field Values

  - ### wkbNone

    static final int wkbNone
    non-standard, for pure attribute records
    See Also:
      - Constant Field Values

  - ### wkbLinearRing

    static final int wkbLinearRing
    non-standard, just for Geometry() constructor
    See Also:
      - Constant Field Values

  - ### wkbCircularStringZ

    static final int wkbCircularStringZ
    See Also:
      - Constant Field Values

  - ### wkbCompoundCurveZ

    static final int wkbCompoundCurveZ
    See Also:
      - Constant Field Values

  - ### wkbCurvePolygonZ

    static final int wkbCurvePolygonZ
    See Also:
      - Constant Field Values

  - ### wkbMultiCurveZ

    static final int wkbMultiCurveZ
    See Also:
      - Constant Field Values

  - ### wkbMultiSurfaceZ

    static final int wkbMultiSurfaceZ
    See Also:
      - Constant Field Values

  - ### wkbCurveZ

    static final int wkbCurveZ
    See Also:
      - Constant Field Values

  - ### wkbSurfaceZ

    static final int wkbSurfaceZ
    See Also:
      - Constant Field Values

  - ### wkbPolyhedralSurfaceZ

    static final int wkbPolyhedralSurfaceZ
    See Also:
      - Constant Field Values

  - ### wkbTINZ

    static final int wkbTINZ
    See Also:
      - Constant Field Values

  - ### wkbTriangleZ

    static final int wkbTriangleZ
    See Also:
      - Constant Field Values

  - ### wkbPointM

    static final int wkbPointM
    See Also:
      - Constant Field Values

  - ### wkbLineStringM

    static final int wkbLineStringM
    See Also:
      - Constant Field Values

  - ### wkbPolygonM

    static final int wkbPolygonM
    See Also:
      - Constant Field Values

  - ### wkbMultiPointM

    static final int wkbMultiPointM
    See Also:
      - Constant Field Values

  - ### wkbMultiLineStringM

    static final int wkbMultiLineStringM
    See Also:
      - Constant Field Values

  - ### wkbMultiPolygonM

    static final int wkbMultiPolygonM
    See Also:
      - Constant Field Values

  - ### wkbGeometryCollectionM

    static final int wkbGeometryCollectionM
    See Also:
      - Constant Field Values

  - ### wkbCircularStringM

    static final int wkbCircularStringM
    See Also:
      - Constant Field Values

  - ### wkbCompoundCurveM

    static final int wkbCompoundCurveM
    See Also:
      - Constant Field Values

  - ### wkbCurvePolygonM

    static final int wkbCurvePolygonM
    See Also:
      - Constant Field Values

  - ### wkbMultiCurveM

    static final int wkbMultiCurveM
    See Also:
      - Constant Field Values

  - ### wkbMultiSurfaceM

    static final int wkbMultiSurfaceM
    See Also:
      - Constant Field Values

  - ### wkbCurveM

    static final int wkbCurveM
    See Also:
      - Constant Field Values

  - ### wkbSurfaceM

    static final int wkbSurfaceM
    See Also:
      - Constant Field Values

  - ### wkbPolyhedralSurfaceM

    static final int wkbPolyhedralSurfaceM
    See Also:
      - Constant Field Values

  - ### wkbTINM

    static final int wkbTINM
    See Also:
      - Constant Field Values

  - ### wkbTriangleM

    static final int wkbTriangleM
    See Also:
      - Constant Field Values

  - ### wkbPointZM

    static final int wkbPointZM
    See Also:
      - Constant Field Values

  - ### wkbLineStringZM

    static final int wkbLineStringZM
    See Also:
      - Constant Field Values

  - ### wkbPolygonZM

    static final int wkbPolygonZM
    See Also:
      - Constant Field Values

  - ### wkbMultiPointZM

    static final int wkbMultiPointZM
    See Also:
      - Constant Field Values

  - ### wkbMultiLineStringZM

    static final int wkbMultiLineStringZM
    See Also:
      - Constant Field Values

  - ### wkbMultiPolygonZM

    static final int wkbMultiPolygonZM
    See Also:
      - Constant Field Values

  - ### wkbGeometryCollectionZM

    static final int wkbGeometryCollectionZM
    See Also:
      - Constant Field Values

  - ### wkbCircularStringZM

    static final int wkbCircularStringZM
    See Also:
      - Constant Field Values

  - ### wkbCompoundCurveZM

    static final int wkbCompoundCurveZM
    See Also:
      - Constant Field Values

  - ### wkbCurvePolygonZM

    static final int wkbCurvePolygonZM
    See Also:
      - Constant Field Values

  - ### wkbMultiCurveZM

    static final int wkbMultiCurveZM
    See Also:
      - Constant Field Values

  - ### wkbMultiSurfaceZM

    static final int wkbMultiSurfaceZM
    See Also:
      - Constant Field Values

  - ### wkbCurveZM

    static final int wkbCurveZM
    See Also:
      - Constant Field Values

  - ### wkbSurfaceZM

    static final int wkbSurfaceZM
    See Also:
      - Constant Field Values

  - ### wkbPolyhedralSurfaceZM

    static final int wkbPolyhedralSurfaceZM
    See Also:
      - Constant Field Values

  - ### wkbTINZM

    static final int wkbTINZM
    See Also:
      - Constant Field Values

  - ### wkbTriangleZM

    static final int wkbTriangleZM
    See Also:
      - Constant Field Values

  - ### wkbPoint25D

    static final int wkbPoint25D
    2.5D extension as per 99-402
    See Also:
      - Constant Field Values

  - ### wkbLineString25D

    static final int wkbLineString25D
    2.5D extension as per 99-402
    See Also:
      - Constant Field Values

  - ### wkbPolygon25D

    static final int wkbPolygon25D
    2.5D extension as per 99-402
    See Also:
      - Constant Field Values

  - ### wkbMultiPoint25D

    static final int wkbMultiPoint25D
    2.5D extension as per 99-402
    See Also:
      - Constant Field Values

  - ### wkbMultiLineString25D

    static final int wkbMultiLineString25D
    2.5D extension as per 99-402
    See Also:
      - Constant Field Values

  - ### wkbMultiPolygon25D

    static final int wkbMultiPolygon25D
    2.5D extension as per 99-402
    See Also:
      - Constant Field Values

  - ### wkbGeometryCollection25D

    static final int wkbGeometryCollection25D
    2.5D extension as per 99-402
    See Also:
      - Constant Field Values

  - ### OFTInteger

    static final int OFTInteger
    See Also:
      - Constant Field Values

  - ### OFTIntegerList

    static final int OFTIntegerList
    See Also:
      - Constant Field Values

  - ### OFTReal

    static final int OFTReal
    See Also:
      - Constant Field Values

  - ### OFTRealList

    static final int OFTRealList
    See Also:
      - Constant Field Values

  - ### OFTString

    static final int OFTString
    See Also:
      - Constant Field Values

  - ### OFTStringList

    static final int OFTStringList
    See Also:
      - Constant Field Values

  - ### OFTWideString

    static final int OFTWideString
    See Also:
      - Constant Field Values

  - ### OFTWideStringList

    static final int OFTWideStringList
    See Also:
      - Constant Field Values

  - ### OFTBinary

    static final int OFTBinary
    See Also:
      - Constant Field Values

  - ### OFTDate

    static final int OFTDate
    See Also:
      - Constant Field Values

  - ### OFTTime

    static final int OFTTime
    See Also:
      - Constant Field Values

  - ### OFTDateTime

    static final int OFTDateTime
    See Also:
      - Constant Field Values

  - ### OFTInteger64

    static final int OFTInteger64
    See Also:
      - Constant Field Values

  - ### OFTInteger64List

    static final int OFTInteger64List
    See Also:
      - Constant Field Values

  - ### OFSTNone

    static final int OFSTNone
    See Also:
      - Constant Field Values

  - ### OFSTBoolean

    static final int OFSTBoolean
    See Also:
      - Constant Field Values

  - ### OFSTInt16

    static final int OFSTInt16
    See Also:
      - Constant Field Values

  - ### OFSTFloat32

    static final int OFSTFloat32
    See Also:
      - Constant Field Values

  - ### OFSTJSON

    static final int OFSTJSON
    See Also:
      - Constant Field Values

  - ### OFSTUUID

    static final int OFSTUUID
    See Also:
      - Constant Field Values

  - ### OJUndefined

    static final int OJUndefined
    See Also:
      - Constant Field Values

  - ### OJLeft

    static final int OJLeft
    See Also:
      - Constant Field Values

  - ### OJRight

    static final int OJRight
    See Also:
      - Constant Field Values

  - ### OFDT_CODED

    static final int OFDT_CODED
    See Also:
      - Constant Field Values

  - ### OFDT_RANGE

    static final int OFDT_RANGE
    See Also:
      - Constant Field Values

  - ### OFDT_GLOB

    static final int OFDT_GLOB
    See Also:
      - Constant Field Values

  - ### OFDSP_DEFAULT_VALUE

    static final int OFDSP_DEFAULT_VALUE
    See Also:
      - Constant Field Values

  - ### OFDSP_DUPLICATE

    static final int OFDSP_DUPLICATE
    See Also:
      - Constant Field Values

  - ### OFDSP_GEOMETRY_RATIO

    static final int OFDSP_GEOMETRY_RATIO
    See Also:
      - Constant Field Values

  - ### OFDMP_DEFAULT_VALUE

    static final int OFDMP_DEFAULT_VALUE
    See Also:
      - Constant Field Values

  - ### OFDMP_SUM

    static final int OFDMP_SUM
    See Also:
      - Constant Field Values

  - ### OFDMP_GEOMETRY_WEIGHTED

    static final int OFDMP_GEOMETRY_WEIGHTED
    See Also:
      - Constant Field Values

  - ### wkbXDR

    static final int wkbXDR
    MSB/Sun/Motorola: Most Significant Byte First
    See Also:
      - Constant Field Values

  - ### wkbNDR

    static final int wkbNDR
    LSB/Intel/Vax: Least Significant Byte First
    See Also:
      - Constant Field Values

  - ### NullFID

    static final int NullFID
    See Also:
      - Constant Field Values

  - ### ALTER_NAME_FLAG

    static final int ALTER_NAME_FLAG
    See Also:
      - Constant Field Values

  - ### ALTER_TYPE_FLAG

    static final int ALTER_TYPE_FLAG
    See Also:
      - Constant Field Values

  - ### ALTER_WIDTH_PRECISION_FLAG

    static final int ALTER_WIDTH_PRECISION_FLAG
    See Also:
      - Constant Field Values

  - ### ALTER_NULLABLE_FLAG

    static final int ALTER_NULLABLE_FLAG
    See Also:
      - Constant Field Values

  - ### ALTER__FLAG

    static final int ALTER__FLAG
    See Also:
      - Constant Field Values

  - ### ALTER_DEFAULT_FLAG

    static final int ALTER_DEFAULT_FLAG
    See Also:
      - Constant Field Values

  - ### ALTER_UNIQUE_FLAG

    static final int ALTER_UNIQUE_FLAG
    See Also:
      - Constant Field Values

  - ### ALTER_DOMAIN_FLAG

    static final int ALTER_DOMAIN_FLAG
    See Also:
      - Constant Field Values

  - ### ALTER_ALTERNATIVE_NAME_FLAG

    static final int ALTER_ALTERNATIVE_NAME_FLAG
    See Also:
      - Constant Field Values

  - ### ALTER_COMMENT_FLAG

    static final int ALTER_COMMENT_FLAG
    See Also:
      - Constant Field Values

  - ### ALTER_ALL_FLAG

    static final int ALTER_ALL_FLAG
    See Also:
      - Constant Field Values

  - ### ALTER_GEOM_FIELD_DEFN_NAME_FLAG

    static final int ALTER_GEOM_FIELD_DEFN_NAME_FLAG
    See Also:
      - Constant Field Values

  - ### ALTER_GEOM_FIELD_DEFN_TYPE_FLAG

    static final int ALTER_GEOM_FIELD_DEFN_TYPE_FLAG
    See Also:
      - Constant Field Values

  - ### ALTER_GEOM_FIELD_DEFN_NULLABLE_FLAG

    static final int ALTER_GEOM_FIELD_DEFN_NULLABLE_FLAG
    See Also:
      - Constant Field Values

  - ### ALTER_GEOM_FIELD_DEFN_SRS_FLAG

    static final int ALTER_GEOM_FIELD_DEFN_SRS_FLAG
    See Also:
      - Constant Field Values

  - ### ALTER_GEOM_FIELD_DEFN_SRS_COORD_EPOCH_FLAG

    static final int ALTER_GEOM_FIELD_DEFN_SRS_COORD_EPOCH_FLAG
    See Also:
      - Constant Field Values

  - ### ALTER_GEOM_FIELD_DEFN_ALL_FLAG

    static final int ALTER_GEOM_FIELD_DEFN_ALL_FLAG
    See Also:
      - Constant Field Values

  - ### F_VAL_NULL

    static final int F_VAL_NULL
    See Also:
      - Constant Field Values

  - ### F_VAL_GEOM_TYPE

    static final int F_VAL_GEOM_TYPE
    See Also:
      - Constant Field Values

  - ### F_VAL_WIDTH

    static final int F_VAL_WIDTH
    See Also:
      - Constant Field Values

  - ### F_VAL_ALLOW_NULL_WHEN_DEFAULT

    static final int F_VAL_ALLOW_NULL_WHEN_DEFAULT
    See Also:
      - Constant Field Values

  - ### F_VAL_ALL

    static final int F_VAL_ALL
    See Also:
      - Constant Field Values

  - ### TZFLAG_UNKNOWN

    static final int TZFLAG_UNKNOWN
    See Also:
      - Constant Field Values

  - ### TZFLAG_LOCALTIME

    static final int TZFLAG_LOCALTIME
    See Also:
      - Constant Field Values

  - ### TZFLAG_MIXED_TZ

    static final int TZFLAG_MIXED_TZ
    See Also:
      - Constant Field Values

  - ### TZFLAG_UTC

    static final int TZFLAG_UTC
    See Also:
      - Constant Field Values

  - ### GGT_COUNT_NOT_NEEDED

    static final int GGT_COUNT_NOT_NEEDED
    See Also:
      - Constant Field Values

  - ### GGT_STOP_IF_MIXED

    static final int GGT_STOP_IF_MIXED
    See Also:
      - Constant Field Values

  - ### GGT_GEOMCOLLECTIONZ_TINZ

    static final int GGT_GEOMCOLLECTIONZ_TINZ
    See Also:
      - Constant Field Values

  - ### OLCRandomRead

    static final String OLCRandomRead
    See Also:
      - Constant Field Values

  - ### OLCSequentialWrite

    static final String OLCSequentialWrite
    See Also:
      - Constant Field Values

  - ### OLCRandomWrite

    static final String OLCRandomWrite
    See Also:
      - Constant Field Values

  - ### OLCFastSpatialFilter

    static final String OLCFastSpatialFilter
    See Also:
      - Constant Field Values

  - ### OLCFastFeatureCount

    static final String OLCFastFeatureCount
    See Also:
      - Constant Field Values

  - ### OLCFastGetExtent

    static final String OLCFastGetExtent
    See Also:
      - Constant Field Values

  - ### OLCFastGetExtent3D

    static final String OLCFastGetExtent3D
    See Also:
      - Constant Field Values

  - ### OLCCreateField

    static final String OLCCreateField
    See Also:
      - Constant Field Values

  - ### OLCDeleteField

    static final String OLCDeleteField
    See Also:
      - Constant Field Values

  - ### OLCReorderFields

    static final String OLCReorderFields
    See Also:
      - Constant Field Values

  - ### OLCAlterFieldDefn

    static final String OLCAlterFieldDefn
    See Also:
      - Constant Field Values

  - ### OLCAlterGeomFieldDefn

    static final String OLCAlterGeomFieldDefn
    See Also:
      - Constant Field Values

  - ### OLCTransactions

    static final String OLCTransactions
    See Also:
      - Constant Field Values

  - ### OLCDeleteFeature

    static final String OLCDeleteFeature
    See Also:
      - Constant Field Values

  - ### OLCUpsertFeature

    static final String OLCUpsertFeature
    See Also:
      - Constant Field Values

  - ### OLCUpdateFeature

    static final String OLCUpdateFeature
    See Also:
      - Constant Field Values

  - ### OLCFastSetNextByIndex

    static final String OLCFastSetNextByIndex
    See Also:
      - Constant Field Values

  - ### OLCStringsAsUTF8

    static final String OLCStringsAsUTF8
    See Also:
      - Constant Field Values

  - ### OLCIgnoreFields

    static final String OLCIgnoreFields
    See Also:
      - Constant Field Values

  - ### OLCCreateGeomField

    static final String OLCCreateGeomField
    See Also:
      - Constant Field Values

  - ### OLCCurveGeometries

    static final String OLCCurveGeometries
    See Also:
      - Constant Field Values

  - ### OLCMeasuredGeometries

    static final String OLCMeasuredGeometries
    See Also:
      - Constant Field Values

  - ### OLCZGeometries

    static final String OLCZGeometries
    See Also:
      - Constant Field Values

  - ### OLCRename

    static final String OLCRename
    See Also:
      - Constant Field Values

  - ### OLCFastGetArrowStream

    static final String OLCFastGetArrowStream
    See Also:
      - Constant Field Values

  - ### OLCFastWriteArrowBatch

    static final String OLCFastWriteArrowBatch
    See Also:
      - Constant Field Values

  - ### ODsCCreateLayer

    static final String ODsCCreateLayer
    See Also:
      - Constant Field Values

  - ### ODsCDeleteLayer

    static final String ODsCDeleteLayer
    See Also:
      - Constant Field Values

  - ### ODsCCreateGeomFieldAfterCreateLayer

    static final String ODsCCreateGeomFieldAfterCreateLayer
    See Also:
      - Constant Field Values

  - ### ODsCCurveGeometries

    static final String ODsCCurveGeometries
    See Also:
      - Constant Field Values

  - ### ODsCTransactions

    static final String ODsCTransactions
    See Also:
      - Constant Field Values

  - ### ODsCEmulatedTransactions

    static final String ODsCEmulatedTransactions
    See Also:
      - Constant Field Values

  - ### ODsCMeasuredGeometries

    static final String ODsCMeasuredGeometries
    See Also:
      - Constant Field Values

  - ### ODsCZGeometries

    static final String ODsCZGeometries
    See Also:
      - Constant Field Values

  - ### ODsCRandomLayerRead

    static final String ODsCRandomLayerRead
    See Also:
      - Constant Field Values

  - ### ODsCRandomLayerWrite

    static final String ODsCRandomLayerWrite
    See Also:
      - Constant Field Values

  - ### ODsCAddFieldDomain

    static final String ODsCAddFieldDomain
    See Also:
      - Constant Field Values

  - ### ODsCDeleteFieldDomain

    static final String ODsCDeleteFieldDomain
    See Also:
      - Constant Field Values

  - ### ODsCUpdateFieldDomain

    static final String ODsCUpdateFieldDomain
    See Also:
      - Constant Field Values

  - ### ODrCCreateDataSource

    static final String ODrCCreateDataSource
    See Also:
      - Constant Field Values

  - ### ODrCDeleteDataSource

    static final String ODrCDeleteDataSource
    See Also:
      - Constant Field Values

  - ### OLMD_FID64

    static final String OLMD_FID64
    See Also:
      - Constant Field Values

  - ### GEOS_PREC_NO_TOPO

    static final int GEOS_PREC_NO_TOPO
    See Also:
      - Constant Field Values

  - ### GEOS_PREC_KEEP_COLLAPSED

    static final int GEOS_PREC_KEEP_COLLAPSED
    See Also:
      - Constant Field Values

  - ### OGRERR_NONE

    static final int OGRERR_NONE
    See Also:
      - Constant Field Values

  - ### OGRERR_NOT_ENOUGH_DATA

    static final int OGRERR_NOT_ENOUGH_DATA
    See Also:
      - Constant Field Values

  - ### OGRERR_NOT_ENOUGH_MEMORY

    static final int OGRERR_NOT_ENOUGH_MEMORY
    See Also:
      - Constant Field Values

  - ### OGRERR_UNSUPPORTED_GEOMETRY_TYPE

    static final int OGRERR_UNSUPPORTED_GEOMETRY_TYPE
    See Also:
      - Constant Field Values

  - ### OGRERR_UNSUPPORTED_OPERATION

    static final int OGRERR_UNSUPPORTED_OPERATION
    See Also:
      - Constant Field Values

  - ### OGRERR_CORRUPT_DATA

    static final int OGRERR_CORRUPT_DATA
    See Also:
      - Constant Field Values

  - ### OGRERR_FAILURE

    static final int OGRERR_FAILURE
    See Also:
      - Constant Field Values

  - ### OGRERR_UNSUPPORTED_SRS

    static final int OGRERR_UNSUPPORTED_SRS
    See Also:
      - Constant Field Values

  - ### OGRERR_INVALID_HANDLE

    static final int OGRERR_INVALID_HANDLE
    See Also:
      - Constant Field Values

  - ### OGRERR_NON_EXISTING_FEATURE

    static final int OGRERR_NON_EXISTING_FEATURE
    See Also:
      - Constant Field Values